Page MenuHomePhabricator

improve Wikidata dumps [tracking]
Open, HighPublic

Description

This is a tracking bug for tasks concerning the improvement of Wikidata's dumps.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
OpenNone
OpenNone
Resolvedhoo
OpenNone
ResolvedJanZerebecki
OpenNone
ResolvedSmalyshev
StalledNone
OpenNone
ResolvedLucie
Resolveddaniel
ResolvedLucie
ResolvedArielGlenn
Resolvedthiemowmde
OpenNone
ResolvedArielGlenn
ResolvedArielGlenn
ResolvedJanZerebecki
Invalidhoo
ResolvedJanZerebecki
Resolvedhoo
ResolvedArielGlenn
StalledNone
OpenNone
OpenNone
DuplicateNone
ResolvedSmalyshev
Resolvedhoo
Resolvedhoo
DeclinedNone
Resolvedhoo
Resolvedhoo
OpenNone
Resolvedhoo
ResolvedSmalyshev
StalledNone
Resolvedhoo
Resolvedhoo
ResolvedSmalyshev
ResolvedLydia_Pintscher
OpenNone
Resolvedhoo
ResolvedArielGlenn
OpenNone
OpenNone
Resolvedhoo
OpenNone
OpenNone

Event Timeline

Lydia_Pintscher raised the priority of this task from to Needs Triage.
Lydia_Pintscher updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2015, 3:58 PM
Lydia_Pintscher moved this task from incoming to hold on the Wikidata board.Feb 9 2015, 7:41 PM
Lydia_Pintscher triaged this task as High priority.Feb 19 2015, 3:40 PM
aude updated the task description. (Show Details)Feb 19 2015, 4:27 PM
aude set Security to None.
aude added a subscriber: aude.
Jonas renamed this task from improve Wikidata dumps to improve Wikidata dumps [tracking].Aug 15 2015, 7:25 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 14 2017, 2:52 PM
Smalyshev changed the status of subtask T85101: create index for each dump from Open to Stalled.Dec 21 2017, 2:14 AM
Lazhar added a subscriber: Lazhar.Feb 13 2018, 8:24 AM

Hello guys - I am using Wikidata enriched with other data source, I must ingest the entire Wikidata JSON dump in a dev graph database of mine. That's easy (yet time-consuming) but once that's done, I want to keep my copy updated by querying the RecentChanges and LogEvents API endpoints to retrieve de changes/deletes/creates that occurred between two timestamps (I'd do so every few minutes) - that's relatively easy too!

How to get the cutoff timestamp for a given JSON dump? Where is this available or how to figure it out since the modified timestamp and lastrevid fields aren't present in JSON dumps.

@Lazhar: Please do not ask the same question in several tasks. Please see https://www.wikidata.org/wiki/Wikidata:Contact_the_development_team where to ask support questions that are not directly related to the task topic. Thanks for your understanding!

Smalyshev changed the status of subtask T94019: Generate RDF from JSON from Open to Stalled.Apr 4 2018, 8:31 PM
ArielGlenn closed this task as Resolved.Jul 1 2018, 8:13 AM
abian reopened this task as Open.Dec 11 2018, 11:27 PM
Smalyshev changed the status of subtask T179681: Add HDT dump of Wikidata from Open to Stalled.May 28 2019, 11:51 PM